Subject: Re: bug#36773: 27.0.50; Accessing a cached SVG with eww can cause Emacs to crash

From: Pip Cet <[email-masked]>
Date: Thu, 25 Jul 2019 11:51:16 +0000

On Thu, Jul 25, 2019 at 9:38 AM Lars Ingebrigtsen <[email-masked]> wrote:
> > As for the other bug, it's a little tricky: shr calls
> > url-store-in-cache after url-http-parse-headers has decompressed the
> > file, while url-http-parse-headers itself would (correctly) cache the
> > uncompressed file if it were configured to do so. It's not quite clear
> > who's at fault here.
>
> Perhaps url-store-in-cache should take a parameter to remove the
> Content-Encoding header (i.e. "gzip")?  It should really be up to the
> program that uses url.el (i.e. shr) whether to cache the data or not...

I misread what you wrote at first, but I like my misreading better:
url-handle-content-transfer-encoding modifies the message, but not its
headers. Why shouldn't it do both?